# Create

Create a new Workspace.

By default, this API endpoint creates a workspace as well as an application key that is authorized to manage resources inside that workspace. Pass `"skip_application_key_creation": true` to avoid creating the application key. This is useful if your integration should manage the full lifecycle of all resources in your account. For example, the official WarpStream Terraform provider sets this field to `true`.

To create the application key in the [v2 key format](/warpstream/reference/api-reference/api-keys#key-formats), use [Create (v2)](/warpstream/reference/api-reference/workspaces/create-v2).

## Request

```bash wrap
curl https://api.warpstream.com/api/v1/create_workspace \
-H 'warpstream-api-key: XXXXXXXXXX' \
-H 'Content-Type: application/json' \
-d '{"workspace_name": "example-workspace", "skip_application_key_creation": false}'
```

## Response

```json
{
  "workspace_id": "wi_d7591578_418f_41cb_bed9_9c4dd7c7470e",
  "application_key": {
      "id": "aki_e6153e40_9baf_4af2_b7e0_0e88d753e50b",
      "name": "akn_example_application_key",
      "key": "aks_b0ab10f0953e30cf815c6f447f7132f2fd0c39f0bd3c2ef9ad644a58z10e9436",
      "created_at": "2024-05-11T00:20:13.365372Z",
      "access_grants": [{
        "principal_kind": "application",
        "resource_kind": "*",
        "resource_id": "*"
      }]
    }
}
```